Bug 32741 - postgresql-test causes traceback if "do not install pkgs. that have deps"
Summary: postgresql-test causes traceback if "do not install pkgs. that have deps"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-22 21:08 UTC by Ben Levenson
Modified: 2007-03-27 03:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-22 23:28:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2001-03-22 21:08:43 UTC
build qa0322.0
TUI 6.2 "Everything" --> 7.1
The following traceback occurs when you select 
"Do not install packages that have dependencies" radio button on 
Unresolved Dependencies screen:

Package              Requirement
postgresql-test    -->  no suggestion
AfterStep-APPS   -->    no suggestion

  Traceback (innermost last):
  File "/usr/lib/anaconda/textw/packages_text.py", line 284, in radiocb
    todo.unselectDepCause (self.deps)
  File "/usr/lib/anaconda/todo.py", line 1132, in unselectDepCause
    self.hdList[who].unselect ()
  File "/usr/lib/anaconda/comps.py", line 116, in __getitem__
    return self.packages[item]
KeyError: postgresql-test

related to bug #32639 and bug #32640

Comment 1 Matt Wilson 2001-03-22 23:22:58 UTC
fixed in CVS.


Comment 2 Glen Foster 2001-03-22 23:28:20 UTC
This defect is considered MUST-FIX for Florence Gold

Comment 3 Ben Levenson 2001-04-10 17:56:14 UTC
fix verified qa0407.1
closing



Note You need to log in before you can comment on or make changes to this bug.